Subject: Re: libtorrent-rasterbar tests fail [with patch]

From: Tomas Volf <[email-masked]>
Date: Thu, 30 Nov 2023 23:21:06 +0100

On 2023-11-30 21:51:00 +0100, Dr. Arne Babenhauserheide wrote:
> Attached is a patch to disable the failing tests, so I can build
> libtorrent-rasterbar locally.
>

I have an actual patch fixing the tests (and updating to newer version) in the
works, will send it today once I figure out how (there are many steps in the
manual).

So not sure if applying this makes sense (I don't want to handle the conflict :)
).

> From 1adbe26fefadd282d6d54ce9d03c0b2f1ae2d90b Mon Sep 17 00:00:00 2001
> Message-ID: <[email-masked]>
> From: Arne Babenhauserheide <[email-masked]>
> Date: Thu, 30 Nov 2023 20:52:12 +0100
> Subject: [PATCH] libtorrent-rasterbar: disable locally failing tests
>
> * gnu/packages/bittorrent.scm(libtorrent-rasterbar): disable the failing tests
>   "test_fast_extension" "test_privacy" "test_resolve_links" "test_lsd"
>
> Change-Id: I7273bfb62e5d648fcfdc41586c1dd231236d965c
> ---
>  gnu/packages/bittorrent.scm | 3 ++-
>  1 file changed, 2 insertions(+), 1 deletion(-)
>
> diff --git a/gnu/packages/bittorrent.scm b/gnu/packages/bittorrent.scm
> index 6f75a92cff..6597c74fd7 100644
> --- a/gnu/packages/bittorrent.scm
> +++ b/gnu/packages/bittorrent.scm
> @@ -442,7 +442,8 @@ (define-public libtorrent-rasterbar
>             (lambda* (#:key tests? parallel-tests? #:allow-other-keys)
>               (let ((disabled-tests
>                      ;; test_upnp requires a non-localhost IPv4 interface.
> -                    '("test_upnp")))
> +                    '("test_upnp" "test_fast_extension" "test_privacy"
> +                      "test_resolve_links" "test_lsd")))
>                 (when tests?
>                   ;; test_ssl relies on bundled TLS certificates with a fixed
>                   ;; expiry date.  To ensure succesful builds in the future,
>
> base-commit: 2b782f67266b42bb40015bd23ce2443be2f9b01f
> --
> 2.41.0
>

> Best wishes,
> Arne

--
There are only two hard things in Computer Science:
cache invalidation, naming things and off-by-one errors.